%define py_ver      2.2
%define pygtk2_ver   1.99.15


Summary:	The sources for the PyGTK2 Python extension modules
Name:		pygtk2.0
Version:	%{pygtk2_ver}
Release:	5mdk

Source0:	pygtk-%{pygtk2_ver}.tar.bz2
License:	LGPL
Group:		Development/GNOME and GTK+
BuildRequires:	libgtkglarea2.0-devel
BuildRequires:	libglade2.0-devel 
BuildRequires:  libMesaGLU1-devel
BuildRequires:  python-devel >= %{py_ver} python-numeric
BuildRequires:  gnome-common
BuildRoot:	%_tmppath/%name-%pygtk2_ver-root
URL:		ftp://ftp.gtk.org/pub/gtk/python/

Summary:	Python bindings for the GTK+2 widget set
Group:		Development/GNOME and GTK+
Requires: 	python-numeric
Requires:	%name-wrapper = %version-%release
Conflicts:	pygtk < 0.6.11

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all of python's benefits.

This new release includes GTK2 support.


%package devel
Version: %{pygtk2_ver}
Summary: Files needed to build wrappers for GTK+ addon libraries
Group: Development/GNOME and GTK+
Requires: %name = %{pygtk2_ver}

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

This new release includes GTK2 support.

%package libglade
Version:	%{pygtk2_ver}
Summary:	A wrapper for the libglade library for use with PyGTK
Group:		Development/GNOME and GTK+
Requires: 	%name = %version-%release

%description libglade
This module contains a wrapper for the libglade library.  Libglade is a
library similar to the pyglade module, except that it is written in C (so
is faster) and is more complete.

%package glarea
Version:	%{pygtk2_ver}
Summary:	A wrapper for the libgtkglarea library for use with PyGTK
Group:		Development/GNOME and GTK+
Requires: 	%name = %version-%release

%description glarea
This module contains a wrapper for the libgtkglarea library.

%package wrapper
Summary: 	Wrapper for the gtk+1.2 and gtk+2.0  implementations of pygtk
Group:		Development/GNOME and GTK+

%description wrapper

This package contains the pygtk wrapper, that makes the parallel
installation of pygtk2.0 with the old pygtk based on gtk+1.2
possible. Applications based on the old pygtk need to include this
before requiring any other pygtk module:

import pygtk
pygtk.require("1.2")

%prep
%setup -q -n pygtk-%{pygtk2_ver}

%build
%configure2_5x --enable-thread

%ifnarch ia64
%make
%else
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtk/*.py*
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtk/_*.so
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtk/_*.la
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/*.so
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/*.la

%doc AUTHORS NEWS README MAPPING ChangeLog 
%doc docs examples

%files libglade
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtk/glademodule.so
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtk/glademodule.la

%files glarea
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtk/glmodule.so
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtk/glmodule.la

%files wrapper
%defattr(-,root,root)
%{_libdir}/python%{py_ver}/site-packages/*.py*
%{_libdir}/python%{py_ver}/site-packages/*.pth

%files devel
%defattr(-,root,root)
%{_bindir}/pygtk-codegen-2.0
%{_includedir}/pygtk-2.0
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/2.0
%{_datadir}/pygtk/2.0/codegen
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/gtk.defs
%{_datadir}/pygtk/2.0/defs/gtk-types.defs
%{_datadir}/pygtk/2.0/defs/gtk-extrafuncs.defs
%{_datadir}/pygtk/2.0/defs/gdk.defs
%{_datadir}/pygtk/2.0/defs/gdk-types.defs
%{_datadir}/pygtk/2.0/defs/libglade.defs
%{_datadir}/pygtk/2.0/defs/gtkgl.defs
%{_datadir}/pygtk/2.0/defs/pango.defs
%{_datadir}/pygtk/2.0/defs/pango-types.defs
%{_datadir}/pygtk/2.0/defs/atk.defs
%{_datadir}/pygtk/2.0/defs/atk-types.defs
%{_libdir}/pkgconfig/pygtk-2.0.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-5mdk
- fix buildrequires

* Wed Feb 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-4mdk
- enable threading support (closes bug #2428)

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-3mdk
- fix conflict with the old pygtk
- split out wrapper module
- fix buildrequires (thanks to Charles A Edwards)

* Fri Feb 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-2mdk
- spec cleanup
- remove some obsolete buildrequirements
- move libgtkglarea bindings to a subpackage
- remove glade bindings from the 

* Wed Feb 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.99.15-1mdk
- remove libtoolize workaround
- fix url
- new version

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.99.13-2mdk
- rebuild for new glibc/rpm, fix docs, installed but unpackaged files

* Fri Nov  1 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.99.13-1mdk
- new pygtk 1.99.13 for gtk2
